import 'dart:async';

import 'package:flutter/services.dart';
import 'package:photoloader/photo.dart';

class PhotoLoader {
  static const MethodChannel _channel = const MethodChannel('photoloader');

  static Future<List<Photo>> get photos async {
    final List photos = await _channel.invokeMethod('loadPhotos');
    return photos.map((path) => Photo(path: path)).toList();
  }
}
